#
# spec file for package fs-uae-arcade
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fs-uae-arcade
Version:        3.1.63
Release:        1.16
Summary:        Fullscreen game browser for FS-UAE
License:        GPL-2.0-or-later
Group:          System/Emulators/Other
URL:            https://fs-uae.net/
Source0:        https://fs-uae.net/stable/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3-setuptools
BuildRequires:  update-desktop-files
Requires:       fs-uae
Requires:       python3-opengl
Requires:       python3-qt5
Requires:       python3-requests
Recommends:     python3-lhafile
BuildArch:      noarch

%description
FS-UAE Arcade is a fullscreen Amiga game browser for FS-UAE.

%prep
%setup -q

%build
python3 setup.py build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} prefix=%{_prefix}
%suse_update_desktop_file -r %{name} System Emulator
rm -rf %{buildroot}/%{_datadir}/doc
%fdupes %{buildroot}%{_datadir}/%{name}

%files
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Mon Nov 22 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 3.1.63
  * Includes common code updates from FS-UAE Launcher 3.1.x.
* Thu Nov 11 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 3.1.40
  * Remove embedded copy of PyOpenGL
- Add python3-opengl to Requires
- Switch source tarball format to xz
* Sat Apr 25 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 3.0.5
  * No changes, version bump only to sync with fs-uae and -launcher
* Thu Apr 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 3.0.4
  * No changes, version bump only to sync with fs-uae and -launcher
- from version 3.0.3
  * No changes, version bump only to sync with fs-uae and -launcher
- from version 3.0.2
  * No changes, version bump only to sync with fs-uae and -launcher
- from version 3.0.1
  * No changes, version bump only to sync with fs-uae and -launcher
* Wed Jul  3 2019 Wolfgang Bauer <wbauer@tmo.at>
- Update to version 3.0.0
  * No fs-uae-arcade specific changes
- Add python3-requests requirement, needed for the new version to
  start
- Recommend python3-lhafile for .lha file support
- Remove obsolete %%post/%%postun sections for no longer supported
  distributions
* Wed Aug  8 2018 mardnh@gmx.de
- Initial package, version 2.8.3
  based on home:FrodeSolheim:stable/fs-uae-arcade
